Results 1 to 4 of 4

Thread: Problem: Kernel Panic nach Update auf 4.4.70-18.9.1.x86_64 via YAST

  1. #1

    Default Problem: Kernel Panic nach Update auf 4.4.70-18.9.1.x86_64 via YAST

    Hallo Forum,

    nach dem automatischem Update heute morgen, startet mein Rechner nicht!
    Er bricht den Bootvorgang mit einer Kernel-Panic Meldung ab.



    cat /etc/os-release
    NAME="openSUSE Leap"
    VERSION="42.2"
    ID=opensuse
    ID_LIKE="suse"
    VERSION_ID="42.2"
    PRETTY_NAME="openSUSE Leap 42.2"
    ANSI_COLOR="0;32"
    CPE_NAME="cpe:/opensuse:leap:42.2"


    tail /var/log/zypp/history

    2017-06-09 06:35:00|command|root@pc3bs|'/usr/lib/packagekitd'|
    2017-06-09 06:35:01|install|kdesignerplugin-devel|5.34.0-116.8|x86_64|root@pc3bs|KDE_Frameworks5|22d11537349c526dda15d7eabff1c25cf99760f545000c2956d2cfd780be8244|
    2017-06-09 06:35:02|install|kdesignerplugin-lang|5.34.0-116.8|noarch|root@pc3bs|KDE_Frameworks5|df840da15c46e027bef75692fce823b0df8fdbb28457c936609187da134db2f3|
    2017-06-09 06:35:02|install|kdoctools-devel|5.34.0-142.2|x86_64|root@pc3bs|KDE_Frameworks5|c8b0e6a687a7176e0455d982c24dd40bafa18326eac8a6ec10fde22079d368ed|
    2017-06-09 06:35:03|install|kdoctools-lang|5.34.0-142.2|noarch|root@pc3bs|KDE_Frameworks5|6dbe6316dd1f7f0d0475d06ed990bd310862c69a4b16c38f6c6e81ef054ab1e1|
    2017-06-09 06:35:10|install|java-1_8_0-openjdk-headless|1.8.0.131-10.8.1|x86_64||repo-update|7c1199aba4da9dd9c12a8c4b12da09710f7c70a502eb594b7a1d27b0f295e6f2|
    # 2017-06-09 06:35:45 kernel-default-4.4.70-18.9.1.x86_64.rpm installed ok
    # Additional rpm output:
    # Creating initrd: /boot/initrd-4.4.70-18.9-default
    # dracut: Executing: /usr/bin/dracut --logfile /var/log/YaST2/mkinitrd.log --force /boot/initrd-4.4.70-18.9-default 4.4.70-18.9-default
    # dracut: *** Including module: bash ***
    # dracut: *** Including module: systemd ***
    # dracut: *** Including module: warpclock ***
    # dracut: *** Including module: systemd-initrd ***
    # dracut: *** Including module: i18n ***
    # dracut: Could not find FONT_MAP none!
    # dracut: *** Including module: drm ***
    # dracut: *** Including module: plymouth ***
    # dracut: *** Including module: kernel-modules ***
    # dracut: *** Including module: resume ***
    # dracut: *** Including module: rootfs-block ***
    # dracut: *** Including module: suse-btrfs ***
    # dracut: *** Including module: suse-xfs ***
    # dracut: *** Including module: terminfo ***
    # dracut: *** Including module: udev-rules ***
    # dracut: Skipping udev rule: 40-redhat.rules
    # dracut: Skipping udev rule: 50-firmware.rules
    # dracut: Skipping udev rule: 50-udev.rules
    # dracut: Skipping udev rule: 91-permissions.rules
    # dracut: Skipping udev rule: 80-drivers-modprobe.rules
    # dracut: *** Including module: biosdevname ***
    # dracut: *** Including module: dracut-systemd ***
    # dracut: *** Including module: haveged ***
    # dracut: *** Including module: usrmount ***
    # dracut: *** Including module: base ***
    # dracut: *** Including module: fs-lib ***
    # dracut: *** Including module: shutdown ***
    # dracut: *** Including module: suse ***
    # dracut: *** Including modules done ***
    # dracut: *** Installing kernel module dependencies and firmware ***
    # dracut: *** Installing kernel module dependencies and firmware done ***
    # dracut: *** Resolving executable dependencies ***
    # dracut: *** Resolving executable dependencies done***
    # dracut: *** Hardlinking files ***
    # dracut: *** Hardlinking files done ***
    # dracut: *** Stripping files ***
    # dracut: *** Stripping files done ***
    # dracut: *** Generating early-microcode cpio image ***
    # dracut: *** Constructing GenuineIntel.bin ****
    # dracut: *** Store current command line parameters ***
    # dracut: Stored kernel commandline:
    # dracut: resume=UUID=a1898fa0-810e-4558-a198-0d253cee62eb resume=UUID=72b21938-3ebf-433d-9fb6-91c743ba5c01
    # dracut: root=UUID=ac9199f4-3bf1-4fb9-a57a-99ed5706d3a6 rootfstype=ext4 rootflags=rw,relatime,data=ordered
    # dracut: *** Creating image file '/boot/initrd-4.4.70-18.9-default' ***
    # dracut: *** Creating initramfs image file '/boot/initrd-4.4.70-18.9-default' done ***
    #
    2017-06-09 06:35:45|install|kernel-default|4.4.70-18.9.1|x86_64||repo-update|a06e5442c30f884f2d3da954b8e4b9c961fb94d23365ee6ad749e93c37b69281|
    2017-06-09 06:35:45|install|libxml2-2|2.9.4-5.3.1|x86_64||repo-update|8ac4b30c96e638a59fe54f8624c80d81ef40cc21cdb49d6bb8ea4e4b5c2b98c8|
    2017-06-09 06:35:46|install|java-1_8_0-openjdk|1.8.0.131-10.8.1|x86_64||repo-update|780ff580b2772002f4efb9e52c4b89adfcfbc74530517d437162d5b916bba8ed|
    2017-06-09 06:35:46|install|libxml2-tools|2.9.4-5.3.1|x86_64||repo-update|dc839aeddedeade9d43b8635596205f57aa957750b191aaf30ff46c758b0e3a6|
    2017-06-09 06:35:46|install|libxml2-devel|2.9.4-5.3.1|x86_64||repo-update|9d57d6343d73825f1f035234316d532a79af25ac570bee9a211408eff6d4612a|

    Kann leider nur ein Foto des Panic-Outputs anhängen.

    Hat jemand eine Idee, was los ist?
    Liegt es an einem fehlenden Treiber in der initrd?

    Für sachdienliche Hinweise wäre ich dankbar.

    Gruß
    Markus

  2. #2

    Default Re: Problem: Kernel Panic nach Update auf 4.4.70-18.9.1.x86_64 via YAST

    Ich habe bereits im englischen Forum geantwortet, weil ich den Post früher sah...
    https://forums.opensuse.org/showthre...27#post2825927

    Kurz zusammengefasst, es ist ein Crash des nouveau Treibers:
    http://bugzilla.opensuse.org/show_bug.cgi?id=1043467

    Ach ja, den nvidia Treiber installieren sollte dann eigtl. auch helfen...

  3. #3

    Default Re: Problem: Kernel Panic nach Update auf 4.4.70-18.9.1.x86_64 via YAST

    Hallo wolfi323,

    danke für Deinen Hinweis.

    Leider startet das OS nach dem Einfügen des Parameters in die Kernel-Boot-Option
    mir der niedrigsten Auflösung, was nicht sehr praktikabel ist. Ein Multi-Monitor Betrieb
    (via xinerama/xrandr) ist auch nicht verfügbar.

    Bis zum nächten Update, in dem hoffentlich das Problem gelöst ist, starte ich meine
    Maschine mit der vorhergehenden Kerlel-Version.

    Gruß
    Markus

  4. #4

    Default Re: Problem: Kernel Panic nach Update auf 4.4.70-18.9.1.x86_64 via YAST

    Quote Originally Posted by markusw View Post
    Leider startet das OS nach dem Einfügen des Parameters in die Kernel-Boot-Option
    mir der niedrigsten Auflösung, was nicht sehr praktikabel ist. Ein Multi-Monitor Betrieb
    (via xinerama/xrandr) ist auch nicht verfügbar.
    Das ist "normal".
    Mit "nomodeset" wird auch ein generischer Fallback Treiber verwendet (fbdev), der die meisten Features der Grafikkarte nicht unterstützt.
    Die Auflösung wird allerdings vom Bootloader übernommen, kann in YaST->System->Bootloader geändert werden.

    Es wäre möglich statt fbdev den vesa Treiber zu verwenden, würde evtl. Verbesserungen diesbzgl. bringen (der sollte die Auflösung vom Monitor nehmen, und soweit ich weiß auch 2 Monitore unterstützen).
    Oder wie gesagt (noch besser), den nvidia Treiber installieren.

    Bis zum nächten Update, in dem hoffentlich das Problem gelöst ist, starte ich meine
    Maschine mit der vorhergehenden Kerlel-Version.
    Ja, ist wahrscheinlich das beste...
    Den 4.4.70er Kernel könttest du dann natürlich auch deinstallieren wenn du willst, dazu in YaST auf "Versionen" klicken, bzw. bei zypper die genaue Version angeben:
    Code:
    sudo zypper rm kernel-default-4.4.70
    Andererseits gibts im erwähnten Bugreport einen 4.4.71 Kernel zum Testen, wo ein paar nouveau "Fixes" rückgängig gemacht wurden.
    Der Bugreporter hat bestätigt dass der Kernel bei ihm funktioniert.
    Last edited by wolfi323; 10-Jun-2017 at 03:49.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •